#!/usr/bin/env python3
from periphery import LED
import iio
import time

led0 = LED("techlab::blue", False)
contexts = iio.scan_contexts()
uri = next(iter(contexts), None)
ctx = iio.Context(uri)

adc = ctx.find_device("44e0d000.tscadc:adc")
v = adc.find_channel("voltage0", False)

while (1):
    sv = int(float(v.attrs["raw"].value) / 4095 * led0.max_brightness)
    led0.write(sv)
    print(sv)
    time.sleep(.1)
