#!/bin/bash

getbits () {
	case $1 in
        	  0) bits="0 1 1 1 1 1 1" ;;
        	  1) bits="0 0 0 0 1 1 0" ;;
        	  2) bits="1 0 1 1 0 1 1" ;;
        	  3) bits="1 0 0 1 1 1 1" ;;
        	  4) bits="1 1 0 0 1 1 0" ;;
        	  5) bits="1 1 0 1 1 0 1" ;;
        	  6) bits="1 1 1 1 1 0 1" ;;
        	  7) bits="0 0 0 0 1 1 1" ;;
        	  8) bits="1 1 1 1 1 1 1" ;;
        	  9) bits="1 1 0 1 1 1 1" ;;
        	a|A) bits="1 1 1 0 1 1 1" ;;
        	b|B) bits="1 1 1 1 1 0 0" ;;
        	c|C) bits="0 1 1 1 0 0 1" ;;
        	d|D) bits="1 0 1 1 1 1 0" ;;
        	e|E) bits="1 1 1 1 0 0 1" ;;
        	f|F) bits="1 1 1 0 0 0 1" ;;
        	g|G) bits="0 0 0 0 0 0 0" ;;
        	h|H) bits="1 0 1 0 1 0 1" ;;
        	i|I) bits="0 1 0 1 0 1 0" ;;
	esac
 	
	echo "$bits"
}
bits=$(getbits "$2")
i=14
 
for j in $bits
do
        if [[ $j == "1" ]]
        then
                echo 1 > /sys/class/leds/techlab::seg$i/brightness
        else
                echo 0 > /sys/class/leds/techlab::seg$i/brightness
        fi
        i=$((i-1))
done
 
bits=$(getbits "$1")
i=6
 
for j in $bits
do
        if [[ $j == "1" ]]
        then
                echo 1 > /sys/class/leds/techlab::seg$i/brightness
        else
                echo 0 > /sys/class/leds/techlab::seg$i/brightness
        fi
        i=$((i-1))
done
